$primary: #eeebdc;
$secondary: #dfdccd;
$gray: #c1c1bf;
$dark-gray: #868684;
$darker-gray: #5a5a58;

.add-review-container {
  margin-bottom: 10px;

  .form {
    background-color: $gray;
    width: 790px;
    border-radius: 4px;
    padding: 5px;

    .form__group {
      position: relative;
      padding: 15px 0 0;
      margin-top: 10px;
      width: 50%;
    }

    .form__field {
      font-family: inherit;
      width: 300px;
      border: 0;
      border-bottom: 2px solid $darker-gray;
      outline: 0;
      font-size: 1.1rem;
      color: black;
      padding: 7px 0;
      background: transparent;
      transition: border-color 0.2s;

      &::placeholder {
        color: transparent;
      }

      &:placeholder-shown ~ .form__label {
        font-size: 1.1rem;
        cursor: text;
        top: 20px;
      }
    }

    .form__label {
      position: absolute;
      top: 0;
      display: block;
      transition: 0.2s;
      font-size: 1rem;
      color: $darker-gray;
    }

    .form__field:focus {
      ~ .form__label {
        position: absolute;
        top: 0;
        display: block;
        transition: 0.2s;
        font-size: 1rem;
        color: $primary;
      }
      padding-bottom: 6px;
      border-width: 3px;
      border-image: linear-gradient(to right, $primary,$secondary);
      border-image-slice: 1;
    }
    /* reset input */
    .form__field{
      &:required,&:invalid { box-shadow:none; }
    }

    .submit {
      margin-top: 10px;
      background-color: $dark-gray;
    }
  }
}
body {
  //font-family: 'Poppins', sans-serif;
  //display: flex;
  //flex-direction: column;
  //justify-content: center;
  //align-items: center;
  //min-height: 100vh;
  //font-size: 1.5rem;
  //background-color:#222222;
}
